org.apache.avro.hadoop.io

## Class AvroKeyComparator<T>

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.avro.hadoop.io.AvroKeyComparator<T>

- All Implemented Interfaces:
    Comparator<AvroKey<T>>, Configurable, RawComparator<AvroKey<T>>

      public class AvroKeyComparator<T>
      extends Configured
      implements RawComparator<AvroKey<T>>

  The `RawComparator` used by jobs configured with `AvroJob`.

  Compares AvroKeys output from the map phase for sorting.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroKeyComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(AvroKey<T> x, AvroKey<T> y)`
    `int` | `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
    `void` | `setConf(Configuration conf)`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### AvroKeyComparator

          public AvroKeyComparator()

  - ### Method Detail

    - #### setConf

          public void setConf(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`
      Overrides:
        `setConf` in class `Configured`

    - #### compare

          public int compare(byte[] b1,
                             int s1,
                             int l1,
                             byte[] b2,
                             int s2,
                             int l2)

      Specified by:
        `compare` in interface `RawComparator<AvroKey<T>>`

    - #### compare

          public int compare(AvroKey<T> x,
                             AvroKey<T> y)

      Specified by:
        `compare` in interface `Comparator<AvroKey<T>>`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.